
Gem::Specification.new do |s|

  s.name       = 'kgrift'

  # define the version of the gem
  # Major and Minor are incremented manually when appropriate
  # Patch version is taken from jenkins BUILD_NUMBER env var, which should continuously increment
  major = '1'
  minor = '3'
  patch = ENV.fetch 'BUILD_NUMBER', '1'
  s.version     = "#{major}.#{minor}.#{patch}"

  s.description = "Interact with the Knewton Enterprise API through a DSL."
  s.homepage    = "https://confluence.knewton.net/display/TECH/kgrift"

  s.licenses    = ['Dont distribute anywhere external']
  s.summary     = "A grifter based API client for Knewton internal use"
  s.description = "A grifter based API client for Knewton internal use.  includes a DSL which can be used in programs, scripts, or right off the cmd line using the included 'kgrift' utility"
  s.homepage    = 'https://knewton.atlassian.net/wiki/display/TECH/kgrift'
  s.authors     = ["Rob Schultheis", "Alan Gerber"]
  s.email       = 'rob@knewton.com'

  s.files       = [
    'kgrift.gemspec',
    'KGrift/grifter.yml',
    'KGrift/Gemfile',
    'KGrift/README.md',
  ] +
  Dir['KGrift/bin/**/*'] +
  Dir['KGrift/lib/**/*'] +
  Dir['KGrift/knewton_grifts/**/*'] +
  Dir['KGrift/test_data_generators/**/*'] +
  Dir['KGrift/internal_test_graphs/*.yml']

  s.bindir = 'KGrift/bin'
  s.executables << 'kgrift'
  s.require_paths = ['KGrift/lib']

  s.add_runtime_dependency 'grifter', '= 0.4.2'
  s.add_runtime_dependency 'aws-sdk', '= 2.0.26'
  s.add_runtime_dependency 'activesupport', '= 3.2.13'
end
